Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.misc
Class IDEACBCPar

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.misc.IDEACBCPar

All Implemented Interfaces:
  DEREncodable

    public class IDEACBCPar

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`IDEACBCPar(ASN1Sequence seq)`
`IDEACBCPar(byte[] iv)`

Method Summary
`static IDEACBCPar` `getInstance(java.lang.Object o)`
`byte[]` `getIV()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDEACBCPar

    public IDEACBCPar(byte[] iv)

### IDEACBCPar

    public IDEACBCPar(ASN1Sequence seq)

Method Detail

### getInstance

    public static IDEACBCPar getInstance(java.lang.Object o)

### getIV

    public byte[] getIV()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       IDEA-CBCPar ::= SEQUENCE {
                            iv    OCTET STRING OPTIONAL -- exactly 8 octets
                        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45